View Issue Details

IDProjectCategoryView StatusLast Update
0000825luatexluatex bugpublic2013-12-20 14:14
ReporteritoijalaAssigned ToHans Hagen 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSArch LinuxOS Version
Product Version 
Target VersionFixed in Version0.78.0 
Summary0000825: Loading a format that includes unicode-math and a loaded math font crashes luaTeX
DescriptionLuaTeX segfaults when loading a format that includes unicode-math and a loaded math font.

Removing the 3rd line of h.tex removes the crash but results in fontspec complaining that it cannot find latinmodern-math.otf, which exists.
Steps To Reproduceh.tex:
\documentclass{article}
\usepackage{unicode-math}
\setmathfont{Latin Modern Math}

d.tex:
\begin{document}
\end{document}

luatex -ini '&lualatex h.tex\dump'
luatex '&h d.tex'

This is LuaTeX, Version beta-0.76.0-2013042316 (rev 4627)
 restricted \write18 enabled.
Segmentation fault (core dumped)
Additional InformationFully updated TL2013 pretest.

TagsNo tags attached.

Activities

eroux

2013-06-15 14:02

reporter  

825.diff (562 bytes)
Index: source/texk/web2c/luatexdir/font/texfont.w
===================================================================
--- source/texk/web2c/luatexdir/font/texfont.w	(révision 4639)
+++ source/texk/web2c/luatexdir/font/texfont.w	(copie de travail)
@@ -1564,7 +1564,7 @@
     dump_things(*param_base(f), (font_params(f) + 1));
 
     if (font_math_params(f) > 0) {
-        dump_things(*math_param_base(f), (font_math_params(f)));
+        dump_things(*math_param_base(f), (font_math_params(f) + 1));
     }
     if (has_left_boundary(f)) {
         dump_int(1);
825.diff (562 bytes)

eroux

2013-06-15 14:02

reporter   ~0001098

Hello,

This patch fixes this issue as well as other unreported ones.

Thank you,
--
Elie

itoijala

2013-06-18 16:42

reporter   ~0001100

I can confirm that the patch fixes the segfault.

It doesn't fix the issue of fontspec not finding any fonts after loading the format. (Is this even a LuaTeX bug, or is it in fontspec/luaotfload?)

Thank you for your work.

eroux

2013-06-18 17:02

reporter   ~0001101

The issue with fontspec is not a LuaTeX bug, it's more on the fontspec, luaotfload and luatexbase side. It requires quite some work for it to be fixed, sadly I cannot promise I'll manage to get it done any time soon...

Hans Hagen

2013-12-20 14:14

manager   ~0001192

the patch will be in 0.78; as mentioned in the comments, saving a math (or whatever) font is somewhat tricky when also lua resources are involved; it could be done (not a luatex engine issue btw, as there is no way it can know what to save, but in lua code) but it hardly makes sense to complicate matters too much

Issue History

Date Modified Username Field Change
2013-04-27 14:08 itoijala New Issue
2013-06-15 14:02 eroux File Added: 825.diff
2013-06-15 14:02 eroux Note Added: 0001098
2013-06-18 16:42 itoijala Note Added: 0001100
2013-06-18 17:02 eroux Note Added: 0001101
2013-12-20 14:14 Hans Hagen Note Added: 0001192
2013-12-20 14:14 Hans Hagen Status new => closed
2013-12-20 14:14 Hans Hagen Assigned To => Hans Hagen
2013-12-20 14:14 Hans Hagen Resolution open => fixed
2013-12-20 14:14 Hans Hagen Fixed in Version => 0.78.0